package com.ruoyi.project.training.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训矩阵对象 t_training_matrix
 *
 * @author ruoyi
 * @date 2021-06-28
 */
public class TTrainingMatrix extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 培训级别 */
    @Excel(name = "培训级别", dictType = "TRAINING_LEVEL", width = 30)
    private String trainingLevel;

    /** 课程名称 */
    @Excel(name = "课程名称", width = 40)
    private String item;

    /** 课程代码 */
    @Excel(name = "课程代码")
    private String courseCode;

    /** 频率（年） */
    @Excel(name = "频率")
    private String frequency;

    /** 责任部门 */
    @Excel(name = "责任部门", dictType = "RESPONS_DEPT")
    private String responsDept;

    /** 授课人 */
    @Excel(name = "授课人", dictType = "ACTUALPOST")
    private String lecturer;

    /** 课时 */
    @Excel(name = "课时")
    private String hour;

    /** 需参培岗位 */
    @Excel(name = "需参培岗位", dictType = "ACTUALPOST")
    private String actualpostId;
    /** 岗位 */
    private List<String> actualpost;

    /** 指定岗位 */
    @Excel(name = "指定岗位", dictType = "ACTUALPOST")
    private String designatedPosition;

    /** 是否涉及MOC */
    @Excel(name = "是否涉及其他部门")
    private String involvedMoc;

    /** 指定其他部门 */
    @Excel(name = "指定其他部门", dictType = "ACTUALPOST")
    private String designatedOther;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCourseCode(String courseCode)
    {
        this.courseCode = courseCode;
    }

    public String getCourseCode()
    {
        return courseCode;
    }
    public void setItem(String item)
    {
        this.item = item;
    }

    public String getItem()
    {
        return item;
    }
    public void setActualpostId(String actualpostId)
    {
        this.actualpostId = actualpostId;
    }

    public String getActualpostId()
    {
        return actualpostId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setLecturer(String lecturer)
    {
        this.lecturer = lecturer;
    }

    public String getLecturer()
    {
        return lecturer;
    }
    public void setHour(String hour)
    {
        this.hour = hour;
    }

    public String getHour()
    {
        return hour;
    }
    public void setDesignatedPosition(String designatedPosition)
    {
        this.designatedPosition = designatedPosition;
    }

    public String getDesignatedPosition()
    {
        return designatedPosition;
    }
    public void setInvolvedMoc(String involvedMoc)
    {
        this.involvedMoc = involvedMoc;
    }

    public String getInvolvedMoc()
    {
        return involvedMoc;
    }
    public void setDesignatedOther(String designatedOther) { this.designatedOther = designatedOther; }

    public String getDesignatedOther() { return designatedOther; }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public List<String> getActualpost() { return actualpost; }

    public void setActualpost(List<String> actualpost) { this.actualpost = actualpost; }
    public void setFrequency(String frequency) { this.frequency = frequency; }

    public String getFrequency() { return frequency; }
    public void setResponsDept(String responsDept) { this.responsDept = responsDept; }

    public String getResponsDept() { return responsDept; }
    public void setTrainingLevel(String trainingLevel) { this.trainingLevel = trainingLevel; }

    public String getTrainingLevel() { return trainingLevel; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("courseCode", getCourseCode())
            .append("item", getItem())
            .append("actualpostId", getActualpostId())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("lecturer", getLecturer())
            .append("hour", getHour())
            .append("designatedPosition", getDesignatedPosition())
            .append("involvedMoc", getInvolvedMoc())
            .toString();
    }
}
